# $Revision: 1.30 $, $Date: 2011/12/20 19:41:37 $
%define		module gd
Summary:	Python interface to GD library
Summary(pl.UTF-8):	Interfejs do biblioteki GD dla Pythona
Name:		python-%{module}
Version:	0.56
Release:	6
Epoch:		1
License:	BSD-like
Group:		Development/Languages/Python
# Source0Download: http://newcenturycomputers.net/projects/gdmodule.html
Source0:	http://newcenturycomputers.net/projects/download.cgi/gdmodule-%{version}.tar.gz
# Source0-md5:	6a6db28a089d4caf5a921cd266a62b3d
Patch0:		%{name}-lib64.patch
URL:		http://newcenturycomputers.net/projects/gdmodule.html
BuildRequires:	gd-devel >= 2.0.23
BuildRequires:	python-devel >= 1.5
BuildRequires:	python-modules >= 1.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD module is an interface to the GD library written by Thomas
Bouttel.

It allows your code to quickly draw images complete with lines,
arcs, text, multiple colors, cut and paste from other images,
and flood fills, and write out the result as a PNG or JPEG file.
This is particularly useful in World Wide Web applications,
where PNG and JPEG are two of the formats accepted for inline
images by most browsers.

It has been extended in some ways from the original GD library.

%description -l pl.UTF-8
Moduł GD jest interfejsem do biblioteki GD autorstwa Thomasa
Bouttela.

Moduł pozwala na szybkie rysowanie obrazów składających się z
linii, łuków, tekstu, różnych kolorów, fragmentów innych obrazków,
czy wypełnień. Wyprodukowany obrazek jest zapisywany do pliku PNG
lub JPEG. Jest to szczególnie przydatne w aplikacjach WWW, gdzie
PNG i JPEG są dwoma formatami obrazów składowych akceptowanymi
przez większość przeglądarek.

Moduł został również rozszerzony w kilku miejscach w stosunku do
oryginalnej biblioteki GD.

%prep
%setup -q -n gdmodule-%{version}
%if "%{_lib}" == "lib64"
%patch0 -p1
%endif

%build
CFLAGS="%{rpmcflags}" \
python Setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python Setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README gd-ref.html
%{py_sitedir}/gd.py[co]
%attr(755,root,root) %{py_sitedir}/_gd.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-gd.spec,v $
Revision 1.30  2011/12/20 19:41:37  arekm
- release 6

Revision 1.29  2010/07/08 08:11:23  arekm
- release 5

Revision 1.28  2010/02/09 01:03:58  sparky
- BR: rpm-pythonprov

Revision 1.27  2010/02/06 21:12:04  arekm
- release 4

Revision 1.26  2009/07/12 13:28:35  arekm
- release 3

Revision 1.25  2008/10/03 17:50:08  arekm
- release 2

Revision 1.24  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.22  2005/04/05 16:12:32  wiget
- source0 download URL

Revision 1.21  2005/04/05 16:11:18  wiget
- updated to 0.56 (with GIF support)

Revision 1.20  2004/12/25 13:51:56  saq
- introducing lib64.patch
- release 3

Revision 1.19  2004/12/25 13:28:35  saq
- release 2 for rebuild with python 2.4

Revision 1.18  2004/11/14 11:31:13  troll
- updated to 0.53

Revision 1.17  2004/03/28 17:47:26  wrobell
- R: python-modules should be enough

Revision 1.16  2004/03/27 20:52:26  qboosh
- call just python, glob fix

Revision 1.15  2004/03/27 17:07:18  wrobell
- fixed .so attrs

Revision 1.14  2004/03/26 22:59:05  troll
- updated to 0.52
- added md5 sum
- more dependencies
- pl fixes
- unifications

Revision 1.13  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/12/02 11:06:25  ankry
- massive cleaning

Revision 1.11  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.10  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:14:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/02 11:24:57  qboosh
- added URLs (note: current version is 0.25)

Revision 1.7  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/06/13 20:17:07  kloczek
- spec adapterized.

Revision 1.5  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.2  1999/07/23 11:14:31  wrobell
- added %{pp_subname} macro

Revision 1.1  1999/07/22 20:13:10  wrobell
- no version number in spec file names
- packages should build now

Revision 1.6  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
